Package net.shibboleth.idp.installer.impl

# Class BuildWar

java.lang.Object
net.shibboleth.idp.installer.impl.BuildWar

public final class BuildWar extends Object
Code to build the war file during an install or on request.

This code:

- Deletes any old detritus
- Creates a directory called webapp.tmp and populates it from the dist folder
- Overwrites this from edit-webapp
- Deletes the old idp.war
- Builds a jar file called idp.war
- Deletes webapp.tmp

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Log.
`private final Path`
`targetDir`
Location of the install for the job.

## Constructor Summary

Constructors
Constructor
Description
`BuildWar(Path idpHome)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Method to do the work of building the war.
`private void`
`overlayWebapp(Path from, Path webAppTo)`
Method to do a single overlay into webapp.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Log.

### targetDir

@Nonnull private final Path targetDir
Location of the install for the job.

## Constructor Details

### BuildWar

public BuildWar(@Nonnull Path idpHome)
Constructor.

Parameters:
  `idpHome` - Where to install to.

## Method Details

### overlayWebapp

private void overlayWebapp(@Nonnull Path from, @Nonnull Path webAppTo) throws org.apache.tools.ant.BuildException
Method to do a single overlay into webapp.

Parameters:
  `from` - Where to copy from.
  `webAppTo` - Where to copy to.
Throws:
  `org.apache.tools.ant.BuildException` - if unexpected badness occurs.

### execute

public void execute() throws org.apache.tools.ant.BuildException
Method to do the work of building the war.

Throws:
  `org.apache.tools.ant.BuildException` - if unexpected badness occurs.